## GeditView GeditView |

## Functions

GtkWidget * | gedit_view_new ()
void | gedit_view_cut_clipboard ()
void | gedit_view_copy_clipboard ()
void | gedit_view_paste_clipboard ()
void | gedit_view_delete_selection ()
void | gedit_view_select_all ()
void | gedit_view_scroll_to_cursor ()
void | gedit_view_set_font ()

## Signals

void | change-case | Action
void | drop-uris | Action

## Types and Values

| GeditViewPrivate
struct | GeditView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTextView
                        ╰── GtkSourceView
                            ╰── GeditView

## Implemented Interfaces

GeditView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### gedit_view_new ()

    GtkWidget *
    gedit_view_new (GeditDocument *doc);

Creates a new GeditView object displaying the `doc` document. `doc` cannot be `NULL`.

#### Parameters

doc | a GeditDocument |

#### Returns

a new GeditView

### gedit_view_cut_clipboard ()

    void
    gedit_view_cut_clipboard (GeditView *view);

### gedit_view_copy_clipboard ()

    void
    gedit_view_copy_clipboard (GeditView *view);

### gedit_view_paste_clipboard ()

    void
    gedit_view_paste_clipboard (GeditView *view);

### gedit_view_delete_selection ()

    void
    gedit_view_delete_selection (GeditView *view);

Deletes the text currently selected in the GtkTextBuffer associated to the view and scroll to the cursor position.

#### Parameters

view | a GeditView |

### gedit_view_select_all ()

    void
    gedit_view_select_all (GeditView *view);

Selects all the text displayed in the `view` .

#### Parameters

view | a GeditView |

### gedit_view_scroll_to_cursor ()

    void
    gedit_view_scroll_to_cursor (GeditView *view);

Scrolls the `view` to the cursor position.

#### Parameters

view | a GeditView |

### gedit_view_set_font ()

    void
    gedit_view_set_font (GeditView *view,
                         gboolean def,
                         const gchar *font_name);

If `def` is TRUE, resets the font of the `view` to the default font otherwise sets it to `font_name` .

#### Parameters

view | a GeditView |
def | whether to reset the default font |
font_name | the name of the font to use |

## Types and Values

### GeditViewPrivate

    typedef struct _GeditViewPrivate GeditViewPrivate;

### struct GeditView

    struct GeditView;

## Signal Details

### The `“change-case”` signal

    void
    user_function (GeditView              *geditview,
                   GtkSourceChangeCaseType arg1,
                   gpointer                user_data)

Flags: Action

### The `“drop-uris”` signal

    void
    user_function (GeditView *geditview,
                   GStrv      arg1,
                   gpointer   user_data)

Flags: Action